Bug 1028818 - (python-pyplete) Review Request: python-pyplete - Dynamic autocompletion for Python [NEEDINFO]
Review Request: python-pyplete - Dynamic autocompletion for Python
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 1028817
Blocks: 1028819
  Show dependency treegraph
 
Reported: 2013-11-10 18:28 EST by T.C. Hollingsworth
Modified: 2015-09-28 16:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
williamjmorenor: fedora‑review?
williamjmorenor: needinfo? (tchollingsworth)


Attachments (Terms of Use)

  None (edit)
Description T.C. Hollingsworth 2013-11-10 18:28:17 EST
Spec: http://patches.fedorapeople.org/kate-pate/python-pyplete.spec
SRPM: http://patches.fedorapeople.org/kate-pate/python-pyplete-0.0.5-1.fc20.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6163424
FAS:  patches
Description:
PyPlete provides dynamic autocompletion for Python.  It uses pysmell but 
unlike the standard version of it, PyPlete is dynamic, it does not need to 
execute a command to pre-analyze the code. It is useful for analyzing (or 
autocompleting) Python code.
Comment 1 Cole Robinson 2014-02-26 20:00:44 EST
Similar to as mentioned in the pysmell review over here: https://bugzilla.redhat.com/show_bug.cgi?id=1028817#c1

drop the egg-info from the tarball, let the RPM build generate it
%{__python}-->%{__python2}
%{python_sitelib}-->%{python2_sitelib}

https://fedoraproject.org/wiki/Packaging:Python_Eggs#Providing_Eggs_using_Setuptools  : suggests simply doing %{python2_sitelib}/* in %files to catch the module and egg-info directory

First 3 description lines have trailing whitespace
As does line 33 above %files
Comment 2 Raphael Groner 2015-06-28 11:19:52 EDT
Are you interested in a review swap?
Maybe bug #1225231 is for you.
Comment 3 William Moreno 2015-07-27 13:45:48 EDT
Any update here?

Can I take the review?
Comment 4 William Moreno 2015-07-29 18:21:06 EDT
Package Review
==============

Need Work:
1- Request upstream to add a License file and include it in tarball.
2- Update macros in %%build and %%install from %{__python} to %{__python2}.
3- In %%files update %{python_sitelib} to %{python2_sitelib}.
4- In %%prep you must remove *egg.info.
5- There many spelling-error warning in rpmlint than can be fixed.

Fedora is moving to Python 3 so ask upstream about support it.

===== MUST items =====

Generic:
[OK]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[OK]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[OK]: Package contains no bundled libraries without FPC exception.
[OK]: Changelog in prescribed format.
[OK]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[OK]: Package uses nothing in %doc for runtime.
[OK]: Package consistently uses macros (instead of hard-coded directory
     names).
[OK]: Package is named according to the Package Naming Guidelines.
[OK]: Package does not generate any conflict.
[OK]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[OK]: Requires correct, justified where necessary.
[OK]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. 
[OK]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[OK]: Package installs properly.
[OK]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[OK]: Package requires other packages for directories it uses.
[OK]: Package must own all directories that it creates.
[OK]: Package does not own files or directories owned by other packages.
[OK]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[OK]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[OK]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[OK]: Macros in Summary, %description expandable at SRPM build time.
[OK]: Dist tag is present.
[OK]: Package does not contain duplicates in %files.
[OK]: Permissions on files are set properly.
[OK]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[OK]: Package is named using only allowed ASCII characters.
[OK]: Package does not use a name that already exists.
[OK]: Package is not relocatable.
[OK]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[OK]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[OK]: File names are valid UTF-8.
[OK]: Packages must not store files under /srv, /opt or /usr/local

Python:
[OK]: Python eggs must not download any dependencies during the build
     process.
[OK]: A package which is used by another package via an egg interface should
     provide egg info.
[OK]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[NW]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[OK]: Final provides and requires are sane (see attachments).
[OK]: Package functions as described.
[OK]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[OK]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[OK]: Packages should try to preserve timestamps of original installed
     files.
[OK]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[OK]: Sources can be downloaded from URI in Source: tag
[OK]: Reviewer should test that the package builds in mock.
[OK]: Buildroot is not present
[OK]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[OK]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[OK]: SourceX is a working URL.
[OK]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[OK]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[OK]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: python-pyplete-0.0.5-1.fc21.noarch.rpm
          python-pyplete-0.0.5-1.fc21.src.rpm
python-pyplete.noarch: W: spelling-error Summary(en_US) autocompletion -> auto completion, auto-completion, completion
python-pyplete.noarch: W: spelling-error %description -l en_US autocompletion -> auto completion, auto-completion, completion
python-pyplete.noarch: W: spelling-error %description -l en_US pysmell -> smelly, smell
python-pyplete.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
python-pyplete.noarch: W: spelling-error %description -l en_US autocompleting -> auto completing, auto-completing, completing
python-pyplete.src: W: spelling-error Summary(en_US) autocompletion -> auto completion, auto-completion, completion
python-pyplete.src: W: spelling-error %description -l en_US autocompletion -> auto completion, auto-completion, completion
python-pyplete.src: W: spelling-error %description -l en_US pysmell -> smelly, smell
python-pyplete.src: W: spelling-error %description -l en_US pre -> per, ore, pee
python-pyplete.src: W: spelling-error %description -l en_US autocompleting -> auto completing, auto-completing, completing
2 packages and 0 specfiles checked; 0 errors, 10 warnings.

Rpmlint (installed packages)
----------------------------
python-pyplete.noarch: W: spelling-error Summary(en_US) autocompletion -> auto completion, auto-completion, completion
python-pyplete.noarch: W: spelling-error %description -l en_US autocompletion -> auto completion, auto-completion, completion
python-pyplete.noarch: W: spelling-error %description -l en_US pysmell -> smelly, smell
python-pyplete.noarch: W: spelling-error %description -l en_US pre -> per, ore, pee
python-pyplete.noarch: W: spelling-error %description -l en_US autocompleting -> auto completing, auto-completing, completing
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

Requires
--------
python-pyplete (rpmlib, GLIBC filtered):
    python(abi)
    python-pysmell

Provides
--------
python-pyplete:
    python-pyplete

Source checksums
----------------
https://pypi.python.org/packages/source/p/pyplete/pyplete-0.0.5.tar.gz :
  CHECKSUM(SHA256) this package     : a0dd088a3fd64c564a589341d90edb73e391f0c2702c079f582a53275f615dd3
  CHECKSUM(SHA256) upstream package : a0dd088a3fd64c564a589341d90edb73e391f0c2702c079f582a53275f615dd3


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1028818
Buildroot used: fedora-21-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 5 José Matos 2015-07-31 07:58:47 EDT
(In reply to William Moreno from comment #3)
> Any update here?
> 
> Can I take the review?

Please do. :-)
I was searching for open reviews to process and this is already taken, so please assign this report to yourself.

BTW in my humble opinion the spell checker warnings are bogus.
Comment 6 William Moreno 2015-08-09 12:59:04 EDT
Hi, do want to continue with this review?

Note You need to log in before you can comment on or make changes to this bug.